This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458994 - Review Request: liveusb-creator - A liveusb creator
Review Request: liveusb-creator - A liveusb creator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 13:26 EDT by kushaldas@gmail.com
Modified: 2008-11-05 17:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 07:27:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2008-08-13 13:26:39 EDT
Spec URL: http://kushal.fedorapeople.org/packages/liveusb-creator.spec
SRPM URL: http://kushal.fedorapeople.org/packages/liveusb-creator-2.7-1.fc9.src.rpm
Description: A liveusb creator from Live Fedora images
Comment 1 Nigel Jones 2008-08-13 18:53:03 EDT
I'll do this one.
Comment 2 Nigel Jones 2008-08-14 01:13:44 EDT
MUST:
Y: rpmlint on each package
Y: Meeting Package Naming Guidelines
Y: Spec file name matches base package name
Y: License field is valid                  
Y: Meets Packaging Guidelines              
 Y: License included in package (if included in source)
 Y: Spec file written in en_US                         
 Y: Spec file is legible                               
 Y: Sources match upstream source                      
 Y: Source URL 'sane'                                  
 Y: Compiles successfully - [noarch]                   
 -: ExcludeArch required?                              
 Y: All Build Dependencies Listed                      
 -: Handles locales sanely                             
 -: Library packages run ldconfig                      
 Y: Package is not relocatable                         
 Y: Package owns all directories created               
 Y: No duplicate file listings                         
 Y: defattr set correctly
 Y: %clean is used
 Y: Macro use conisistant
 Y: ONLY Contains Code/Content that is allowed
 -: Large Documentation in -doc subpackage
 Y: %doc must not affect package runtime
 -: Header files in -devel
 -: Static libraries in -static
 -: pkgconfig files require pkgconfig
 -: Library files are located in correct package
 -: -devel requires base package w/ fully versioned dependency
 -: Packages do not contact .la (libtool) archives
 Y: GUI Apps have .desktop files
 Y: No duplicate directory ownerships
 Y: %install cleans buildroot
 Y: Filenames are valid UTF-8

SHOULD:
-: Description/Summary sections contain translations
Y: Builds in mock/koji
Y: Builds on all architectures
Y: Program works upon testing
Y: Scriptlets are sane
-: Subpackages require base package
-: pkgconfig.pc files in -devel
-: File dependencies should only be in /etc /bin /sbin /usr/bin /usr/sbin


APPROVED
Comment 3 kushaldas@gmail.com 2008-08-14 02:46:01 EDT
New Package CVS Request
=======================
Package Name: liveusb-creator
Short Description: A liveusb creator
Owners: kushal, lmacken
Branches: F-9 EL-5
InitialCC: kushal
Packager Commits: yes
Comment 4 Kevin Fenzi 2008-08-29 00:41:59 EDT
cvs done.
Comment 5 Christoph Wickert 2008-11-05 17:06:40 EST
The %files section of this package is broken:

  %{_datadir}/*

does not work, because now liveusb-creator also owns

  %{_datadir}/applications and
  %{_datadir}/pixmaps

Kushal, please use something like

  %{_bindir}/*
  %{_sbindir}/*
  %{_datadir}/pixmaps/*.png
  %{_datadir}/applications/*.desktop

or even better: 

  %{_bindir}/%{name}
  %{_sbindir}/%{name}
  %{_datadir}/pixmaps/fedorausb.png
  %{_datadir}/applications/fedora-%{name}.desktop

This way you make sure you don't accidentally package unwanted files.

Nigel, please review more carefully next time, "No duplicate directory ownerships" should really mean "No duplicate directory ownerships". ;)

Note You need to log in before you can comment on or make changes to this bug.